diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/bindings/modulegen__gcc_LP64.py ns-3.31/src/lte/bindings/modulegen__gcc_LP64.py
--- ns-3.30.1/src/lte/bindings/modulegen__gcc_LP64.py	2019-08-12 17:00:27.000000000 -0700
+++ ns-3.31/src/lte/bindings/modulegen__gcc_LP64.py	2020-06-27 17:38:30.000000000 -0700
@@ -26356,7 +26464,7 @@
     cls.add_method('GetMtu', 
                    'uint16_t', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::SetAddress(ns3::Address address) [member function]
     cls.add_method('SetAddress', 
                    'void', 
@@ -26366,12 +26474,12 @@
     cls.add_method('GetAddress', 
                    'ns3::Address', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): bool ns3::LteNetDevice::IsLinkUp() const [member function]
     cls.add_method('IsLinkUp', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::AddLinkChangeCallback(ns3::Callback<void, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> callback) [member function]
     cls.add_method('AddLinkChangeCallback', 
                    'void', 
@@ -26381,32 +26489,32 @@
     cls.add_method('IsBroadcast', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): ns3::Address ns3::LteNetDevice::GetBroadcast() const [member function]
     cls.add_method('GetBroadcast', 
                    'ns3::Address', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): bool ns3::LteNetDevice::IsMulticast() const [member function]
     cls.add_method('IsMulticast', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): bool ns3::LteNetDevice::IsPointToPoint() const [member function]
     cls.add_method('IsPointToPoint', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): bool ns3::LteNetDevice::IsBridge() const [member function]
     cls.add_method('IsBridge', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): ns3::Ptr<ns3::Node> ns3::LteNetDevice::GetNode() const [member function]
     cls.add_method('GetNode', 
                    'ns3::Ptr< ns3::Node >', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::SetNode(ns3::Ptr<ns3::Node> node) [member function]
     cls.add_method('SetNode', 
                    'void', 
@@ -26416,7 +26524,7 @@
     cls.add_method('NeedsArp', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::SetReceiveCallback(ns3::NetDevice::ReceiveCallback cb) [member function]
     cls.add_method('SetReceiveCallback', 
                    'void', 
@@ -26426,12 +26534,12 @@
     cls.add_method('GetMulticast', 
                    'ns3::Address', 
                    [param('ns3::Ipv4Address', 'addr')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): ns3::Address ns3::LteNetDevice::GetMulticast(ns3::Ipv6Address addr) const [member function]
     cls.add_method('GetMulticast', 
                    'ns3::Address', 
                    [param('ns3::Ipv6Address', 'addr')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::SetPromiscReceiveCallback(ns3::NetDevice::PromiscReceiveCallback cb) [member function]
     cls.add_method('SetPromiscReceiveCallback', 
                    'void', 
@@ -26446,7 +26554,7 @@
     cls.add_method('SupportsSendFrom', 
                    'bool', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-net-device.h (module 'lte'): void ns3::LteNetDevice::Receive(ns3::Ptr<ns3::Packet> p) [member function]
     cls.add_method('Receive', 
                    'void', 
@@ -26561,12 +26669,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::MeasurementReportHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::MeasurementReportHeader::SetMessage(ns3::LteRrcSap::MeasurementReport msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26597,12 +26705,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReconfigurationCompleteHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReconfigurationCompleteHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReconfigurationCompleted msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26695,12 +26803,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReconfigurationHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReconfigurationHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReconfiguration msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26731,12 +26839,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentCompleteHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentCompleteHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReestablishmentComplete msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26772,12 +26880,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReestablishment msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26803,12 +26911,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentRejectHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentRejectHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReestablishmentReject msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26844,12 +26952,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentRequestHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReestablishmentRequestHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReestablishmentRequest msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26875,12 +26983,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionRejectHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionRejectHeader::SetMessage(ns3::LteRrcSap::RrcConnectionReject msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26906,12 +27014,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReleaseHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionReleaseHeader::SetMessage(ns3::LteRrcSap::RrcConnectionRelease msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26952,12 +27060,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionRequestHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionRequestHeader::SetMessage(ns3::LteRrcSap::RrcConnectionRequest msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -26988,12 +27096,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionSetupCompleteHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionSetupCompleteHeader::SetMessage(ns3::LteRrcSap::RrcConnectionSetupCompleted msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -27054,12 +27162,12 @@
     cls.add_method('PreSerialize', 
                    'void', 
                    [], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionSetupHeader::Print(std::ostream & os) const [member function]
     cls.add_method('Print', 
                    'void', 
                    [param('std::ostream &', 'os')], 
-                   is_const=True, is_virtual=True)
+                   is_virtual=True, is_const=True)
     ## lte-rrc-header.h (module 'lte'): void ns3::RrcConnectionSetupHeader::SetMessage(ns3::LteRrcSap::RrcConnectionSetup msg) [member function]
     cls.add_method('SetMessage', 
                    'void', 
@@ -27124,24 +27232,24 @@
                    'bool', 
                    [param('uint16_t', 'cellId')], 
                    is_const=True)
-    ## lte-enb-net-device.h (module 'lte'): uint8_t ns3::LteEnbNetDevice::GetUlBandwidth() const [member function]
+    ## lte-enb-net-device.h (module 'lte'): uint16_t ns3::LteEnbNetDevice::GetUlBandwidth() const [member function]
     cls.add_method('GetUlBandwidth', 
-                   'uint8_t', 
+                   'uint16_t', 
                    [], 
                    is_const=True)
-    ## lte-enb-net-device.h (module 'lte'): void ns3::LteEnbNetDevice::SetUlBandwidth(uint8_t bw) [member function]
+    ## lte-enb-net-device.h (module 'lte'): void ns3::LteEnbNetDevice::SetUlBandwidth(uint16_t bw) [member function]
     cls.add_method('SetUlBandwidth', 
                    'void', 
-                   [param('uint8_t', 'bw')])
-    ## lte-enb-net-device.h (module 'lte'): uint8_t ns3::LteEnbNetDevice::GetDlBandwidth() const [member function]
+                   [param('uint16_t', 'bw')])
+    ## lte-enb-net-device.h (module 'lte'): uint16_t ns3::LteEnbNetDevice::GetDlBandwidth() const [member function]
     cls.add_method('GetDlBandwidth', 
-                   'uint8_t', 
+                   'uint16_t', 
                    [], 
                    is_const=True)
-    ## lte-enb-net-device.h (module 'lte'): void ns3::LteEnbNetDevice::SetDlBandwidth(uint8_t bw) [member function]
+    ## lte-enb-net-device.h (module 'lte'): void ns3::LteEnbNetDevice::SetDlBandwidth(uint16_t bw) [member function]
     cls.add_method('SetDlBandwidth', 
                    'void', 
-                   [param('uint8_t', 'bw')])
+                   [param('uint16_t', 'bw')])
     ## lte-enb-net-device.h (module 'lte'): uint32_t ns3::LteEnbNetDevice::GetDlEarfcn() const [member function]
     cls.add_method('GetDlEarfcn', 
                    'uint32_t', 
@@ -27210,10 +27318,18 @@
     cls.add_method('Connect', 
                    'void', 
                    [param('std::string', 'name'), param('ns3::CallbackBase const &', 'cb')])
+    ## config.h (module 'core'): bool ns3::Config::MatchContainer::ConnectFailSafe(std::string name, ns3::CallbackBase const & cb) [member function]
+    cls.add_method('ConnectFailSafe', 
+                   'bool', 
+                   [param('std::string', 'name'), param('ns3::CallbackBase const &', 'cb')])
     ## config.h (module 'core'): void ns3::Config::MatchContainer::ConnectWithoutContext(std::string name, ns3::CallbackBase const & cb) [member function]
     cls.add_method('ConnectWithoutContext', 
                    'void', 
                    [param('std::string', 'name'), param('ns3::CallbackBase const &', 'cb')])
+    ## config.h (module 'core'): bool ns3::Config::MatchContainer::ConnectWithoutContextFailSafe(std::string name, ns3::CallbackBase const & cb) [member function]
+    cls.add_method('ConnectWithoutContextFailSafe', 
+                   'bool', 
+                   [param('std::string', 'name'), param('ns3::CallbackBase const &', 'cb')])
     ## config.h (module 'core'): void ns3::Config::MatchContainer::Disconnect(std::string name, ns3::CallbackBase const & cb) [member function]
     cls.add_method('Disconnect', 
                    'void', 
@@ -27251,6 +27367,10 @@
     cls.add_method('Set', 
                    'void', 
                    [param('std::string', 'name'), param('ns3::AttributeValue const &', 'value')])
+    ## config.h (module 'core'): bool ns3::Config::MatchContainer::SetFailSafe(std::string name, ns3::AttributeValue const & value) [member function]
+    cls.add_method('SetFailSafe', 
+                   'bool', 
+                   [param('std::string', 'name'), param('ns3::AttributeValue const &', 'value')])
     return
 
 def register_Ns3HashImplementation_methods(root_module, cls):
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-cc-helper.cc ns-3.31/src/lte/examples/lena-cc-helper.cc
--- ns-3.30.1/src/lte/examples/lena-cc-helper.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-cc-helper.cc	2020-06-27 17:38:30.000000000 -0700
@@ -32,7 +32,7 @@
 
 int main (int argc, char *argv[])
 {	
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 	
   Config::SetDefault ("ns3::ComponentCarrier::UlBandwidth", UintegerValue (50));
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-cqi-threshold.cc ns-3.31/src/lte/examples/lena-cqi-threshold.cc
--- ns-3.30.1/src/lte/examples/lena-cqi-threshold.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-cqi-threshold.cc	2020-06-27 17:38:30.000000000 -0700
@@ -63,7 +63,7 @@
 
 int main (int argc, char *argv[])
 {	
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 	
   // to save a template default attribute file run it like this:
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-deactivate-bearer.cc ns-3.31/src/lte/examples/lena-deactivate-bearer.cc
--- ns-3.30.1/src/lte/examples/lena-deactivate-bearer.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-deactivate-bearer.cc	2020-06-27 17:38:30.000000000 -0700
@@ -50,7 +50,7 @@
   double interPacketInterval = 100;
 
   // Command line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("numberOfNodes", "Number of eNodeBs + UE pairs", numberOfNodes);
   cmd.AddValue ("simTime", "Total duration of the simulation [s])", simTime);
   cmd.AddValue ("distance", "Distance between eNBs [m]", distance);
@@ -76,8 +76,9 @@
   LogComponentEnable ("LteHelper", logLevel);
   LogComponentEnable ("EpcHelper", logLevel);
   LogComponentEnable ("EpcEnbApplication", logLevel);
-  LogComponentEnable ("EpcSgwPgwApplication", logLevel);
-  LogComponentEnable ("EpcMme", logLevel);
+  LogComponentEnable ("EpcMmeApplication", logLevel);
+  LogComponentEnable ("EpcPgwApplication", logLevel);
+  LogComponentEnable ("EpcSgwApplication", logLevel);
   LogComponentEnable ("LteEnbRrc", logLevel);
 
 
@@ -235,4 +236,3 @@
   return 0;
 
 }
-
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-distributed-ffr.cc ns-3.31/src/lte/examples/lena-distributed-ffr.cc
--- ns-3.30.1/src/lte/examples/lena-distributed-ffr.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-distributed-ffr.cc	2020-06-27 17:38:30.000000000 -0700
@@ -111,12 +111,12 @@
   bool generateSpectrumTrace = false;
   bool generateRem = false;
   int32_t remRbId = -1;
-  uint8_t bandwidth = 25;
+  uint16_t bandwidth = 25;
   double distance = 1000;
   Box macroUeBox = Box (-distance * 0.5, distance * 1.5, -distance * 0.5, distance * 1.5, 1.5, 1.5);
 
   // Command line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("numberOfUes", "Number of UEs", numberOfRandomUes);
   cmd.AddValue ("simTime", "Total duration of the simulation (in seconds)", simTime);
   cmd.AddValue ("generateSpectrumTrace", "if true, will generate a Spectrum Analyzer trace", generateSpectrumTrace);
@@ -356,7 +356,7 @@
       uint32_t dlChannelId = dlChannel->GetId ();
       NS_LOG_INFO ("DL ChannelId: " << dlChannelId);
       remHelper->SetAttribute ("ChannelPath", StringValue ("/ChannelList/1"));
-      remHelper->SetAttribute ("OutputFile", StringValue ("lena-frequency-reuse.rem"));
+      remHelper->SetAttribute ("OutputFile", StringValue ("lena-distributed-ffr.rem"));
       remHelper->SetAttribute ("XMin", DoubleValue (macroUeBox.xMin));
       remHelper->SetAttribute ("XMax", DoubleValue (macroUeBox.xMax));
       remHelper->SetAttribute ("YMin", DoubleValue (macroUeBox.yMin));
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-dual-stripe.cc ns-3.31/src/lte/examples/lena-dual-stripe.cc
--- ns-3.30.1/src/lte/examples/lena-dual-stripe.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-dual-stripe.cc	2020-06-27 17:38:30.000000000 -0700
@@ -382,7 +382,7 @@
   Config::SetDefault ("ns3::UdpClient::MaxPackets", UintegerValue (1000000));
   Config::SetDefault ("ns3::LteRlcUm::MaxTxBufferSize", UintegerValue (10 * 1024));
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
   ConfigStore inputConfig;
   inputConfig.ConfigureDefaults ();
@@ -843,8 +843,6 @@
         }
     }
 
-  BuildingsHelper::MakeMobilityModelConsistent ();
-
   Ptr<RadioEnvironmentMapHelper> remHelper;
   if (generateRem)
     {
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-fading.cc ns-3.31/src/lte/examples/lena-fading.cc
--- ns-3.30.1/src/lte/examples/lena-fading.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-fading.cc	2020-06-27 17:38:30.000000000 -0700
@@ -33,7 +33,7 @@
 
 int main (int argc, char *argv[])
 {	
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 	
   // to save a template default attribute file run it like this:
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-frequency-reuse.cc ns-3.31/src/lte/examples/lena-frequency-reuse.cc
--- ns-3.30.1/src/lte/examples/lena-frequency-reuse.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-frequency-reuse.cc	2020-06-27 17:38:30.000000000 -0700
@@ -107,12 +107,12 @@
   bool generateSpectrumTrace = false;
   bool generateRem = false;
   int32_t remRbId = -1;
-  uint8_t bandwidth = 25;
+  uint16_t bandwidth = 25;
   double distance = 1000;
   Box macroUeBox = Box (-distance * 0.5, distance * 1.5, -distance * 0.5, distance * 1.5, 1.5, 1.5);
 
   // Command line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("numberOfUes", "Number of random UEs", numberOfRandomUes);
   cmd.AddValue ("simTime", "Total duration of the simulation (in seconds)", simTime);
   cmd.AddValue ("generateSpectrumTrace", "if true, will generate a Spectrum Analyzer trace", generateSpectrumTrace);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-intercell-interference.cc ns-3.31/src/lte/examples/lena-intercell-interference.cc
--- ns-3.30.1/src/lte/examples/lena-intercell-interference.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-intercell-interference.cc	2020-06-27 17:38:30.000000000 -0700
@@ -44,7 +44,7 @@
   uint32_t numUes = 1;
   double simTime = 1.0;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("enbDist", "distance between the two eNBs", enbDist);
   cmd.AddValue ("radius", "the radius of the disc where UEs are placed around an eNB", radius);
   cmd.AddValue ("numUes", "how many UEs are attached to each eNB", numUes);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-ipv6-addr-conf.cc ns-3.31/src/lte/examples/lena-ipv6-addr-conf.cc
--- ns-3.30.1/src/lte/examples/lena-ipv6-addr-conf.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-ipv6-addr-conf.cc	2020-06-27 17:38:30.000000000 -0700
@@ -44,7 +44,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   Ptr<LteHelper> lteHelper = CreateObject<LteHelper> ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-ipv6-ue-rh.cc ns-3.31/src/lte/examples/lena-ipv6-ue-rh.cc
--- ns-3.30.1/src/lte/examples/lena-ipv6-ue-rh.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-ipv6-ue-rh.cc	2020-06-27 17:38:30.000000000 -0700
@@ -43,7 +43,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   Ptr<LteHelper> lteHelper = CreateObject<LteHelper> ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-ipv6-ue-ue.cc ns-3.31/src/lte/examples/lena-ipv6-ue-ue.cc
--- ns-3.30.1/src/lte/examples/lena-ipv6-ue-ue.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-ipv6-ue-ue.cc	2020-06-27 17:38:30.000000000 -0700
@@ -44,7 +44,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   Ptr<LteHelper> lteHelper = CreateObject<LteHelper> ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-pathloss-traces.cc ns-3.31/src/lte/examples/lena-pathloss-traces.cc
--- ns-3.30.1/src/lte/examples/lena-pathloss-traces.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-pathloss-traces.cc	2020-06-27 17:38:30.000000000 -0700
@@ -45,7 +45,7 @@
   uint32_t numUes = 1;
 
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("enbDist", "distance between the two eNBs", enbDist);
   cmd.AddValue ("radius", "the radius of the disc where UEs are placed around an eNB", radius);
   cmd.AddValue ("numUes", "how many UEs are attached to each eNB", numUes);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-profiling.cc ns-3.31/src/lte/examples/lena-profiling.cc
--- ns-3.30.1/src/lte/examples/lena-profiling.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-profiling.cc	2020-06-27 17:38:30.000000000 -0700
@@ -38,7 +38,7 @@
   uint32_t nUe = 1;
   uint32_t nFloors = 0;
   double simTime = 1.0;
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
 
   cmd.AddValue ("nEnb", "Number of eNodeBs per floor", nEnbPerFloor);
   cmd.AddValue ("nUe", "Number of UEs", nUe);
@@ -193,8 +193,6 @@
     }
 
 
-  BuildingsHelper::MakeMobilityModelConsistent ();
-
   Simulator::Stop (Seconds (simTime));
   lteHelper->EnableTraces ();
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-radio-link-failure.cc ns-3.31/src/lte/examples/lena-radio-link-failure.cc
--- ns-3.30.1/src/lte/examples/lena-radio-link-failure.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-radio-link-failure.cc	2020-06-27 17:38:30.000000000 -0700
@@ -276,7 +276,7 @@
   bool enableDataErrorModel = true;
   bool enableNsLogs = false;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("simTime", "Total duration of the simulation (in seconds)", simTime);
   cmd.AddValue ("numberOfEnbs", "Number of eNBs", numberOfEnbs);
   cmd.AddValue ("n311", "Number of in-synch indication", n311);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-rem.cc ns-3.31/src/lte/examples/lena-rem.cc
--- ns-3.30.1/src/lte/examples/lena-rem.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-rem.cc	2020-06-27 17:38:30.000000000 -0700
@@ -33,7 +33,7 @@
 
 int main (int argc, char *argv[])
 {	
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 	
   // to save a template default attribute file run it like this:
@@ -106,10 +106,6 @@
   // set ylabel "Y"
   // set cblabel "SINR (dB)"
   // plot "rem.out" using ($1):($2):(10*log10($4)) with image
-  
-    
-  BuildingsHelper::MakeMobilityModelConsistent ();
-
 
   Simulator::Run ();
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-rem-sector-antenna.cc ns-3.31/src/lte/examples/lena-rem-sector-antenna.cc
--- ns-3.30.1/src/lte/examples/lena-rem-sector-antenna.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-rem-sector-antenna.cc	2020-06-27 17:38:30.000000000 -0700
@@ -37,7 +37,7 @@
 int
 main (int argc, char *argv[])
 {
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   ConfigStore inputConfig;
@@ -204,8 +204,6 @@
       lteHelper->ActivateDataRadioBearer (ueDev, bearer);
     }
 
-  BuildingsHelper::MakeMobilityModelConsistent ();
-
   // by default, simulation will anyway stop right after the REM has been generated
   Simulator::Stop (Seconds (0.0069));  
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-rlc-traces.cc ns-3.31/src/lte/examples/lena-rlc-traces.cc
--- ns-3.30.1/src/lte/examples/lena-rlc-traces.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-rlc-traces.cc	2020-06-27 17:38:30.000000000 -0700
@@ -31,7 +31,7 @@
 int main (int argc, char *argv[])
 {
   // Command line arguments
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.Parse (argc, argv);
 
   ConfigStore inputConfig;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lte/examples/lena-simple.cc ns-3.31/src/lte/examples/lena-simple.cc
--- ns-3.30.1/src/lte/examples/lena-simple.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/lte/examples/lena-simple.cc	2020-06-27 17:38:30.000000000 -0700
@@ -33,7 +33,7 @@
   Time simTime = MilliSeconds (1050);
   bool useCa = false;
 
-  CommandLine cmd;
+  CommandLine cmd (__FILE__);
   cmd.AddValue ("simTime", "Total duration of the simulation", simTime);
   cmd.AddValue ("useCa", "Whether to use carrier aggregation.", useCa);
   cmd.Parse (argc, argv);
